Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Enumerations | Functions | Variables
voip_calls.h File Reference
`#include <glib.h>`
`#include <stdio.h>`
`#include "epan/address.h"`
`#include "epan/packet.h"`
`#include "epan/guid-utils.h"`
`#include "epan/tap.h"`
`#include "epan/tap-voip.h"`
`#include "epan/sequence_analysis.h"`

Go to the source code of this file.

## Classes
struct | _sip_calls_info
struct | _isup_calls_info
struct | _h245_address
struct | _h323_calls_info
struct | _mgcp_calls_info
struct | _actrace_isdn_calls_info
struct | _actrace_cas_calls_info
struct | _skinny_calls_info
struct | _voip_calls_info
struct | _voip_calls_tapinfo

## Macros
#define | VOIP_CALLS_DEBUG(...)

## Typedefs
typedef enum _voip_protocol | voip_protocol
typedef enum _hash_indexes | hash_indexes
typedef enum _flow_show_options | flow_show_options
typedef enum _sip_call_state | sip_call_state
typedef struct _sip_calls_info | sip_calls_info_t
typedef struct _isup_calls_info | isup_calls_info_t
typedef struct _h245_address | h245_address_t
typedef struct _h323_calls_info | h323_calls_info_t
typedef struct _mgcp_calls_info | mgcp_calls_info_t
typedef struct _actrace_isdn_calls_info | actrace_isdn_calls_info_t
typedef struct _actrace_cas_calls_info | actrace_cas_calls_info_t
typedef struct _skinny_calls_info | skinny_calls_info_t
typedef struct _voip_calls_info | voip_calls_info_t
typedef struct _voip_calls_tapinfo | voip_calls_tapinfo_t

## Enumerations
enum | _voip_protocol { VOIP_SIP, VOIP_ISUP, VOIP_H323, VOIP_MGCP, VOIP_AC_ISDN, VOIP_AC_CAS, MEDIA_T38, TEL_H248, TEL_SCCP, TEL_BSSMAP, TEL_RANAP, VOIP_UNISTIM, VOIP_SKINNY, VOIP_IAX2, VOIP_COMMON }
enum | _hash_indexes { SIP_HASH =0 }
enum | _flow_show_options { FLOW_ALL, FLOW_ONLY_INVITES }
enum | _sip_call_state { SIP_INVITE_SENT, SIP_200_REC, SIP_CANCEL_SENT }

## Functions
void | voip_calls_init_all_taps (voip_calls_tapinfo_t *tap_id_base)
void | voip_calls_remove_all_tap_listeners (voip_calls_tapinfo_t *tap_id_base)
void | voip_calls_reset_all_taps (voip_calls_tapinfo_t *tapinfo)

## Variables
const char * | voip_call_state_name [8]
const char * | voip_protocol_name []

## Detailed Description

"VoIP Calls" dialog box common routines.

## Typedef Documentation

typedef struct _actrace_cas_calls_info actrace_cas_calls_info_t

defines specific ACTRACE CAS data

typedef struct _actrace_isdn_calls_info actrace_isdn_calls_info_t

defines specific ACTRACE ISDN data

typedef struct _h323_calls_info h323_calls_info_t

defines specific H323 data defines specific MGCP data

typedef struct _isup_calls_info isup_calls_info_t

defines specific ISUP data

typedef enum _sip_call_state sip_call_state

defines specific SIP data

typedef struct _skinny_calls_info skinny_calls_info_t

defines specific SKINNY data

typedef struct _voip_calls_info voip_calls_info_t

defines a voip call

## Enumeration Type Documentation

enum _sip_call_state

defines specific SIP data

## Function Documentation

void voip_calls_init_all_taps | ( | voip_calls_tapinfo_t * | tap_id_base | ) |

Registers the voip_calls tap listeners (if not already done). From that point on, the calls list will be updated with every redissection. This function is also the entry point for the initialization routine of the tap system. So whenever voip_calls.c is added to the list of WIRESHARK_TAP_SRCs, the tap will be registered on startup. If not, it will be registered on demand by the voip_calls functions that need it.

void voip_calls_remove_all_tap_listeners | ( | voip_calls_tapinfo_t * | tap_id_base | ) |

Removes the voip_calls tap listener (if not already done) From that point on, the voip calls list won't be updated any more.

void voip_calls_reset_all_taps | ( | voip_calls_tapinfo_t * | tapinfo | ) |

Cleans up memory of voip calls tap.